package killer_sokoban;


public class Hole extends SimpleField {
	
	/**Ez a függvény azt jelzi a mező számára, hogy szeretnének rálépni.
	 * @param toward melyik irányból szeretnének rálépni
	 * @param w	munkás, aki a tolást indította
	 * @param m	mozgatható dolog a pályán, ez szeretne a mezőre lépni
	 * @return mindig igazzal tér vissza
	 */
	@Override
	public boolean accept(Direction toward, Worker w, Moveable m) {
		m.move(this);
		m.kill();
			

		return true;
	}
	
	/**
	 * Lyuk rajzolásáért felelős
	 */
	@Override
	public void shouldDraw(View view)
	{
		view.drawHole();		
		super.shouldDraw(view);
	}
}

